Configures all hand detection specific options

### Hierarchy

- GenericConfig
  - HandConfig

## Index

### Properties

- detector
- enabled
- iouThreshold
- landmarks
- maxDetected
- minConfidence
- modelPath
- rotation
- skeleton
- skipFrames
- skipTime

## Properties

### detector

detector: { modelPath?: string }

- Defined in src/config.ts:87

#### Type declaration

- ##### Optional modelPath?: string

  property

    path to hand detector model json

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

property

  is module enabled?

### iouThreshold

iouThreshold: number

- Defined in src/config.ts:82

property

  minimum overlap between two detected hands before one is discarded

### landmarks

landmarks: boolean

- Defined in src/config.ts:86

property

  should hand landmarks be detected or just return detected hand box

### maxDetected

maxDetected: number

- Defined in src/config.ts:84

property

  maximum number of detected hands

### minConfidence

minConfidence: number

- Defined in src/config.ts:80

property

  minimum confidence for a detected hand before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

property

  path to model json file

### rotation

rotation: boolean

- Defined in src/config.ts:78

property

  should hand rotation correction be performed after hand detection?

### skeleton

skeleton: { modelPath?: string }

- Defined in src/config.ts:91

#### Type declaration

- ##### Optional modelPath?: string

  property

    path to hand skeleton model json

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

property

  how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

property

  how many max miliseconds to go without re-running model if cached results are acceptable